> ## Documentation Index
> Fetch the complete documentation index at: https://staging-docs.orderly.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get builder's leaderboard

> **Limit 10 requests per 60 seconds**

`GET /v1/broker/leaderboard/daily`

The provided `start_date`/`end_date` has to be within a 90-day range.

Updated hourly




## OpenAPI

````yaml orderly.openapi get /v1/broker/leaderboard/daily
openapi: 3.0.1
info:
  title: EVM
  description: ''
  version: 1.0.0
servers:
  - url: https://api.orderly.org
    description: Mainnet
  - url: https://testnet-api.orderly.org
    description: Testnet
security: []
tags:
  - name: public
  - name: private
paths:
  /v1/broker/leaderboard/daily:
    get:
      tags:
        - private
      summary: Get builder's leaderboard
      description: |
        **Limit 10 requests per 60 seconds**

        `GET /v1/broker/leaderboard/daily`

        The provided `start_date`/`end_date` has to be within a 90-day range.

        Updated hourly
      parameters:
        - name: start_date
          in: query
          description: Format YYYY-MM-DD
          required: true
          example: ''
          schema:
            type: string
        - name: end_date
          in: query
          description: Format YYYY-MM-DD
          required: true
          example: ''
          schema:
            type: string
        - name: page
          in: query
          description: start from 1
          required: false
          example: ''
          schema:
            type: number
        - name: size
          in: query
          required: false
          example: ''
          schema:
            type: number
        - name: order_tag
          in: query
          description: >-
            Filter by the full stored order tag, including a current-format
            `enum:<owning_broker_id>:<enum_id>` tag.
          required: false
          example: ''
          schema:
            type: string
            maxLength: 128
        - name: broker_id
          in: query
          description: if the broker_id is empty, return all users
          required: false
          example: ''
          schema:
            type: string
        - name: sort
          in: query
          description: |
            Allow sort by

            `ascending_realized_pnl`
            `descending_realized_pnl`
            `ascending_perp_volume`
            `descending_perp_volume`
          required: false
          schema:
            type: string
        - name: address
          in: query
          description: ''
          required: false
          example: ''
          schema:
            type: string
        - name: aggregateBy
          in: query
          description: |
            `address`: Sum the value across all builders.
            `address_per_builder`: Sum the value separately for each builder.
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeaderboardResponse'
      deprecated: false
components:
  schemas:
    LeaderboardResponse:
      allOf:
        - $ref: '#/components/schemas/BasicResponse'
        - type: object
          required:
            - data
            - timestamp
          properties:
            data:
              type: object
              required:
                - rows
                - snapshot_time
                - meta
              properties:
                snapshot_time:
                  type: number
                  example: 1784278800000
                rows:
                  type: array
                  items:
                    type: object
                    required:
                      - date
                      - account_id
                      - perp_volume
                      - perp_taker_volume
                      - perp_maker_volume
                      - total_fee
                      - broker_fee
                      - address
                      - broker_id
                      - realized_pnl
                    properties:
                      account_id:
                        type: string
                        example: >-
                          0x0b88771b33b176c4c3066a0742877988ee6aefccf8c3d98a31bcaefa23ca8b5a
                      date:
                        description: >-
                          Date represented by the leaderboard row in
                          `YYYY-MM-DD` format.
                        type: string
                        format: date
                        example: '2026-06-01'
                      perp_volume:
                        description: >-
                          Total perpetual trading volume for the leaderboard
                          row.
                        type: number
                        example: 283.648664
                      perp_maker_volume:
                        description: Perpetual maker volume for the leaderboard row.
                        type: number
                        example: 0
                      perp_taker_volume:
                        description: Perpetual taker volume for the leaderboard row.
                        type: number
                        example: 283.648664
                      total_fee:
                        description: >-
                          Total trading fee charged or rebated for the
                          leaderboard row. A negative value represents a net
                          rebate.
                        type: number
                        example: 0.056732
                      broker_fee:
                        description: >-
                          Gross Builder fee before deducting referral
                          commissions distributed to affiliates and referees.
                        type: number
                        example: 0.028365
                      address:
                        type: string
                        example: '0xd43a72d2212d8c285299f2b2655f8ccb946e9d8b'
                      realized_pnl:
                        description: Realized profit and loss for the leaderboard row.
                        type: number
                        example: -5.7548125
                      broker_id:
                        type: string
                        example: fillx
                meta:
                  type: object
                  properties:
                    records_per_page:
                      type: integer
                      example: 50
                    current_page:
                      type: integer
                      example: 1
                      description: start from 1
                    total:
                      type: integer
                      example: 608
    BasicResponse:
      required:
        - success
      type: object
      properties:
        success:
          description: Indicates whether the request was successful.
          type: boolean
          example: true
        timestamp:
          description: Server timestamp in milliseconds.
          type: integer
          example: 1702989203989

````